wireproto: explicit API to create outgoing streams
ClosedPublic

Authored by indygreg on Mar 26 2018, 2:12 PM.

Details

Summary

It is better to create outgoing streams through the reactor so the
reactor knows about what streams are active and can track them
accordingly.

Test output changes slightly because frames from subsequent responses
no longer have the "stream begin" stream flag set because the stream
is now used across all responses.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
indygreg created this revision.Mar 26 2018, 2:12 PM
indygreg updated this revision to Diff 7326.Mar 26 2018, 5:35 PM
indygreg updated this revision to Diff 7436.Mar 30 2018, 4:32 PM
durin42 accepted this revision.Apr 3 2018, 11:28 AM
This revision is now accepted and ready to land.Apr 3 2018, 11:28 AM
This revision was automatically updated to reflect the committed changes.